/*
Phi-1 shield for Arduino
Test program: car backing/reverse obstacle sensor with sonic ranger
This program is fairly long. For a nutshell version of this program to study with, visit http://liudr.wordpress.com/phi-1-shield/

Programmed by Dr. John Liu
Revision: 02/12/2011
Commerical use without authorization is prohibited.
Find details of the Phi-1 shield, Phi-2 shield or contact Dr. Liu at http://liudr.wordpress.com/phi-1-shield/
All rights reserved.
*/

void render_double_bar(int value, int max_v)
{
  char msg[7];
  int bar1, bar2, extra;
  byte i,j;
  long total_bar;
  total_bar=(20*((long)(value%max_v)))/((long)max_v);
  bar1=total_bar>=10?10:total_bar;
  bar2=total_bar>=10?(total_bar%10):0;
  extra=value/max_v;
  lcd.setCursor(0,0);
  for(i=0;i<bar1;i++)
  {
    lcd.write('\xff');
  }
  for(j=i;j<10;j++)
  {
    lcd.write(' ');
  }

  lcd.setCursor(0,1);
  for(i=0;i<bar2;i++)
  {
    lcd.write('\xff');
  }
  for(j=i;j<10;j++)
  {
    lcd.write(' ');
  }
}

